com.mxgraph.util

## Class mxCellRenderer

- java.lang.Object
- - com.mxgraph.util.mxCellRenderer

-     public class mxCellRenderer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `mxCellRenderer.CanvasFactory`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.image.BufferedImage` | `createBufferedImage(mxGraph graph, java.lang.Object[] cells, double scale, java.awt.Color background, boolean antiAlias, mxRectangle clip)`
    `static java.awt.image.BufferedImage` | `createBufferedImage(mxGraph graph, java.lang.Object[] cells, double scale, java.awt.Color background, boolean antiAlias, mxRectangle clip, mxGraphics2DCanvas graphicsCanvas)`
    `static org.w3c.dom.Document` | `createHtmlDocument(mxGraph graph, java.lang.Object[] cells, double scale, java.awt.Color background, mxRectangle clip)`
    `static org.w3c.dom.Document` | `createSvgDocument(mxGraph graph, java.lang.Object[] cells, double scale, java.awt.Color background, mxRectangle clip)`
    `static org.w3c.dom.Document` | `createVmlDocument(mxGraph graph, java.lang.Object[] cells, double scale, java.awt.Color background, mxRectangle clip)`
    `static mxICanvas` | `drawCells(mxGraph graph, java.lang.Object[] cells, double scale, mxRectangle clip, mxCellRenderer.CanvasFactory factory)` Draws the given cells using a Graphics2D canvas and returns the buffered image that represents the cells.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### drawCells

          public static mxICanvas drawCells(mxGraph graph,
                            java.lang.Object[] cells,
                            double scale,
                            mxRectangle clip,
                            mxCellRenderer.CanvasFactory factory)

      Draws the given cells using a Graphics2D canvas and returns the buffered image that represents the cells.
      Parameters:
        `graph` - Graph to be painted onto the canvas.
      Returns:
        Returns the image that represents the canvas.

    - #### createBufferedImage

          public static java.awt.image.BufferedImage createBufferedImage(mxGraph graph,
                                                         java.lang.Object[] cells,
                                                         double scale,
                                                         java.awt.Color background,
                                                         boolean antiAlias,
                                                         mxRectangle clip)

    - #### createBufferedImage

          public static java.awt.image.BufferedImage createBufferedImage(mxGraph graph,
                                                         java.lang.Object[] cells,
                                                         double scale,
                                                         java.awt.Color background,
                                                         boolean antiAlias,
                                                         mxRectangle clip,
                                                         mxGraphics2DCanvas graphicsCanvas)

    - #### createHtmlDocument

          public static org.w3c.dom.Document createHtmlDocument(mxGraph graph,
                                                java.lang.Object[] cells,
                                                double scale,
                                                java.awt.Color background,
                                                mxRectangle clip)

    - #### createSvgDocument

          public static org.w3c.dom.Document createSvgDocument(mxGraph graph,
                                               java.lang.Object[] cells,
                                               double scale,
                                               java.awt.Color background,
                                               mxRectangle clip)

    - #### createVmlDocument

          public static org.w3c.dom.Document createVmlDocument(mxGraph graph,
                                               java.lang.Object[] cells,
                                               double scale,
                                               java.awt.Color background,
                                               mxRectangle clip)

Copyright (c) 2010 Gaudenz Alder. All rights reserved.